org.jcp.xmlns.xml.ns.javaee

## Class ObjectFactory

- java.lang.Object
- - org.jcp.xmlns.xml.ns.javaee.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the org.jcp.xmlns.xml.ns.javaee package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Property Summary

    All Methods Instance Methods Concrete Methods
    Type | Property and Description
    --- | ---
    `Scan.Exclude.IfSystemProperty` | `createScanExcludeIfSystem` Create an instance of `Scan.Exclude.IfSystemProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.jcp.xmlns.xml.ns.javaee

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Alternatives` | `createAlternatives()` Create an instance of `Alternatives`
    `JAXBElement<String>` | `createAlternativesClass(String value)` Create an instance of `JAXBElement``<``String``>`}
    `JAXBElement<String>` | `createAlternativesStereotype(String value)` Create an instance of `JAXBElement``<``String``>`}
    `Beans` | `createBeans()` Create an instance of `Beans`
    `Decorators` | `createDecorators()` Create an instance of `Decorators`
    `Interceptors` | `createInterceptors()` Create an instance of `Interceptors`
    `Scan` | `createScan()` Create an instance of `Scan`
    `Scan.Exclude` | `createScanExclude()` Create an instance of `Scan.Exclude`
    `Scan.Exclude.IfClassAvailable` | `createScanExcludeIfClassAvailable()` Create an instance of `Scan.Exclude.IfClassAvailable`
    `Scan.Exclude.IfClassNotAvailable` | `createScanExcludeIfClassNotAvailable()` Create an instance of `Scan.Exclude.IfClassNotAvailable`
    `Scan.Exclude.IfSystemProperty` | `createScanExcludeIfSystemProperty()` Create an instance of `Scan.Exclude.IfSystemProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### createScanExcludeIfSystem

          public Scan.Exclude.IfSystemProperty createScanExcludeIfSystemProperty

      Create an instance of `Scan.Exclude.IfSystemProperty`

  - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.jcp.xmlns.xml.ns.javaee

  - ### Method Detail

    - #### createScan

          public Scan createScan()

      Create an instance of `Scan`

    - #### createScanExclude

          public Scan.Exclude createScanExclude()

      Create an instance of `Scan.Exclude`

    - #### createDecorators

          public Decorators createDecorators()

      Create an instance of `Decorators`

    - #### createBeans

          public Beans createBeans()

      Create an instance of `Beans`

    - #### createInterceptors

          public Interceptors createInterceptors()

      Create an instance of `Interceptors`

    - #### createAlternatives

          public Alternatives createAlternatives()

      Create an instance of `Alternatives`

    - #### createScanExcludeIfClassAvailable

          public Scan.Exclude.IfClassAvailable createScanExcludeIfClassAvailable()

      Create an instance of `Scan.Exclude.IfClassAvailable`

    - #### createScanExcludeIfClassNotAvailable

          public Scan.Exclude.IfClassNotAvailable createScanExcludeIfClassNotAvailable()

      Create an instance of `Scan.Exclude.IfClassNotAvailable`

    - #### createScanExcludeIfSystemProperty

          public Scan.Exclude.IfSystemProperty createScanExcludeIfSystemProperty()

      Create an instance of `Scan.Exclude.IfSystemProperty`

    - #### createAlternativesStereotype

          public JAXBElement<String> createAlternativesStereotype(String value)

      Create an instance of `JAXBElement``<``String``>`}

    - #### createAlternativesClass

          public JAXBElement<String> createAlternativesClass(String value)

      Create an instance of `JAXBElement``<``String``>`}

Copyright © 2015 buschmais GbR. All rights reserved.